| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Public Member Functions | List of all members
Digikam::ItemFiltersHistoryModel Class Reference
Inheritance diagram for Digikam::ItemFiltersHistoryModel:

## Public Slots
void | disableEntries (int count)
void | enableEntries (int count)
void | removeEntry (const QModelIndex &index)
void | setEnabledEntries (int count)

## Public Member Functions
| ItemFiltersHistoryModel (QObject *const parent=nullptr, const QUrl &url=QUrl())
int | columnCount (const QModelIndex &parent=QModelIndex()) const override
QVariant | data (const QModelIndex &index, int role=Qt::DisplayRole) const override
Qt::ItemFlags | flags (const QModelIndex &index) const override
QVariant | headerData (int section, Qt::Orientation orientation, int role=Qt::DisplayRole) const override
QModelIndex | index (int row, int column, const QModelIndex &parent=QModelIndex()) const override
QModelIndex | parent (const QModelIndex &index) const override
bool | removeRows (int row, int count, const QModelIndex &parent) override
int | rowCount (const QModelIndex &parent=QModelIndex()) const override
void | setupModelData (const QList< DImageHistory::Entry > &entries, ItemFiltersHistoryTreeItem *parent=nullptr)
void | setUrl (const QUrl &url)